Bug 1191203 - fossil: version 1.30 is available with CVE-2014-3566 (POODLE) fixed
Summary: fossil: version 1.30 is available with CVE-2014-3566 (POODLE) fixed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fossil
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 16:48 UTC by Vasyl Kaigorodov
Modified: 2015-10-15 04:18 UTC (History)
1 user (show)

Fixed In Version: fossil-1.33-1.fc22 fossil-1.33-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-15 03:49:58 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-10 16:48:52 UTC
There is a new version available here:

http://www.fossil-scm.org/download.html

It does mention that it includes a fix for an SSL CVE:
...
- Fix CVE-2014-3566, also known as the POODLE SSL 3.0 vulnerability. 
...

Please update Fedora packages.

Comment 1 Fedora Update System 2015-05-27 21:16:06 UTC
fossil-1.33-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fossil-1.33-1.fc22

Comment 2 Fedora Update System 2015-05-27 21:17:03 UTC
fossil-1.33-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fossil-1.33-1.fc20

Comment 3 Fedora Update System 2015-05-27 21:18:27 UTC
fossil-1.33-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fossil-1.33-1.fc21

Comment 4 Fedora Update System 2015-05-30 15:41:53 UTC
Package fossil-1.33-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fossil-1.33-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9090/fossil-1.33-1.fc21
then log in and leave karma (feedback).

Comment 5 Jan Kurik 2015-07-15 14:34:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Fedora Update System 2015-10-15 03:49:55 UTC
fossil-1.33-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-10-15 04:18:58 UTC
fossil-1.33-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.